package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("")
public class MyResource {

    @GET
    @Path("customers")
    public String getAllCustomers() {
        System.out.println("in getAllCustomers()");
        return "dummy-response for all customers";
    }

    @GET
    @Path("customers/{id}")
    public String getCustomerById(@PathParam("id") String id) {
        System.out.println("in getCustomerById()");
        return "dummy-response for customer " + id;
    }

    @GET
    @Path("orders")
    public String getOrders() {
        System.out.println("in getOrders()");
        return "dummy-response for orders";
    }
}